<?php
require '../conexao/conexao.php';

// Receba o ID da requisição da consulta
$filialselect = !empty($_GET['filial']) ? $_GET['filial'] : null;
$filial = explode(',', $filialselect);
$filial = array_filter($filial, function ($item) {
    return $item !== 'x';
});
$filial = array_values($filial);
$filial = implode(',', $filial);
$periodo = $_GET['periodo'] ?? null;
$semana = $_GET['semana'] ?? null;
$data_fim = $_GET['data_fim'] ?? null;
$data_inicio = $_GET['data_inicio'] ?? null;

// Capturar os valores de 'ano' e 'mes' passados pela URL usando $_GET
$ano = isset($_GET['ano']) ? (int)$_GET['ano'] : date('Y'); // Default para o ano atual
$mes = isset($_GET['mes']) ? (int)$_GET['mes'] : date('m'); // Default para o mês atual

// Garantir que o mês tenha dois dígitos (ex: 01, 02, etc.)
$mes = str_pad($mes, 2, '0', STR_PAD_LEFT);

// Definir o início e o fim do mês

$query_clientes = " SELECT
C.CADASTRO_LJ as COD_FILIAL,
  C.NOMECLIENTE,
    C.EMAIL1,
    (SELECT FIRST 1 TL.TELEFONEPREFIXO || ' ' || TL.TELEFONE
     FROM CADASTRO_TELEFONE TL 
     WHERE TL.TIPO_CADASTRO = 1 
       AND TL.CODIGO_CADASTRO = C.CODIGO 
       AND TL.PRINCIPAL = -1) AS tel,
    (SELECT FIRST 1 TL.TELEFONEPREFIXO || ' ' || TL.TELEFONE
     FROM CADASTRO_TELEFONE TL 
     WHERE TL.TIPO_CADASTRO = 1 
       AND TL.CODIGO_CADASTRO = C.CODIGO 
       AND TL.PRINCIPAL = 0) AS telefone2,
    CAST(C.cadastro_dt AS DATE) AS data_cadastro

from CLIENTE C
left join CADASTRO_ENDERECO EN ON EN.TIPO_CADASTRO = 1 AND EN.CODIGO_CADASTRO = C.CODIGO AND EN.PRINCIPAL = -1
left join CIDADEESTADO CE on EN.CODIGO_CIDADEESTADO = CE.CODIGO
left join REGIAODETALHE RD on EN.CODIGO_REGIAODETALHE = RD.CODIGO
where c.codigo is not null ";

if ($filial && $filial != "Todos") {
    $query_clientes .= "AND C.cadastro_lj IN ($filial)";
}

if ($ano && $ano != "Selecione") {
    $query_clientes .= " AND EXTRACT(YEAR FROM C.cadastro_dt) = " . intval($ano);
}

if ($mes && $mes != "Todos") {
    $query_clientes .= " AND EXTRACT(MONTH FROM C.cadastro_dt) = " . intval($mes);
}
if (!empty($periodo) && $periodo != "mes") {
    if ($periodo == 1) {
        $query_clientes .= " AND EXTRACT(DAY FROM C.cadastro_dt)  <= 15 ";
    } elseif ($periodo == 2) {
        $query_clientes .= " AND EXTRACT(DAY FROM C.cadastro_dt)  > 15 ";
    }
}
if (!empty($semana)) {
    if ($semana != "mes") {
        $query_clientes .= " AND C.cadastro_dt BETWEEN '$data_inicio' AND '$data_fim'";
    }
}

$query_clientes .= " ORDER BY C.cadastro_dt";

$result_clientes = ibase_query($connection, $query_clientes);

if (!$result_clientes) {
    die('Erro na consulta: ' . ibase_errmsg());
}
?>

<table id="tabelaModal" class="table table-bordered table-hover table-sm">
    <h4>Novos Clientes</h4>
    <thead class="thead-light">
        <tr>
            <th scope="col">Filial</th>
            <th scope="col">Cliente</th>
            <th scope="col">Data Cadastro</th>
            <th scope="col">Telefone</th>
        </tr>
    </thead>
    <tbody>
        <?php while ($row = ibase_fetch_assoc($result_clientes)) {
            $row['NOMECLIENTE'] = mb_convert_encoding($row['NOMECLIENTE'], 'UTF-8', 'ISO-8859-1');
        ?>
            <tr>
                <td><?= htmlspecialchars($row['COD_FILIAL']) ?></td>
                <td><?= htmlspecialchars($row['NOMECLIENTE']) ?></td>
                <td><?= date('d/m/Y', strtotime($row['DATA_CADASTRO'])) ?></td>
                <td><?= htmlspecialchars($row['TELEFONE2']) ?></td>
            </tr>
        <?php } ?>
    </tbody>
</table>